---
import AddCartSvg from "@/shared/svgs/AddCartSvg.astro";
import { formatPrice } from "@/shared/utils/format-price";
import { truncateText } from "@/shared/utils/truncate-text";
import { Image } from "astro:assets";

interface Props {
  id: number;
  title: string;
  price: number;
  description: string;
  thumbnail: string;
  categoryName: string;
}

const { thumbnail, categoryName, price, title, description, id } = Astro.props;
---

<div class="border rounded-md flex flex-col py-4 px-4 m-2 h-[580px] w-[350px]">
  <div class="flex items-center justify-center h-[320px] w-full">
    <a href={`/${id}`} class="hover:opacity-50">
      <Image
        class="rounded-md aspect-square"
        src={`/api/v1/images?url=${thumbnail}`}
        alt="Thumbnail product"
        loading="eager"
        width={300}
        height={300}
      />
    </a>
  </div>
  <div class="flex flex-col h-[150px]">
    <h1 class="my-2 w-full font-bold">{truncateText(title, 30)}</h1>
    <p class="flex w-full">
      {truncateText(description, 20)}
      <a href={`/${id}`} class="font-bold ml-2 text-violet-500 hover:text-violet-600">Read more</a>
    </p>
    <span class="bg-neutral-900 mt-4 py-2 px-4 rounded-md w-min font-bold select-none">
      {categoryName}
    </span>
  </div>
  <div class="flex items-center justify-between w-full">
    <div class="flex flex-col">
      <span>Price:</span>
      <b class="text-xl">{formatPrice(price)}</b>
    </div>
    <button type="button" class="bg-violet-800 hover:bg-violet-900 py-2 px-4 font-bold rounded-md">
      <AddCartSvg size={28} />
    </button>
  </div>
</div>
